Bug 805875 - WSRP configuration files to be picked up from gatein.conf.dir on Windows machine
WSRP configuration files to be picked up from gatein.conf.dir on Windows machine
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 5
Classification: JBoss
Component: Portal (Show other bugs)
5.2.0.GA
All Windows
medium Severity medium
: ---
: 5.2.0.ER03
Assigned To: Thomas Heute
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-22 06:37 EDT by Anurag
Modified: 2016-10-30 18:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The WSRP extension didn't properly compute paths to the configuration files, resulting in the extension not being able to find the configuration files on Windows systems. The path computing algorithm has been changed to resolve this issue.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Commits:
8638 by chris.laprun at 2012-03-23 10:52:52 EDT (show)
8638 by chris.laprun at 2012-03-23 10:52:52 EDT

Checked in to /mnt/n4aphx2-3.storage.phx2.redhat.com/svn/repos/gatein

Bug 805875 - WSRP configuration files to be picked up from gatein.conf.dir on Windows machine: fixed path wrangling so that it also works on Windows systems

1 file changed:

  • epp/portal/branches/EPP_5_2_Branch/wsrp-integration/extension-component/src/main/java/org/gatein/integration/wsrp/WSRPServiceIntegration.java (+9 / -2)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker GTNWSRP-281 Minor Resolved Allow WSRP configuration files to be picked up from gatein.conf.dir on Windows machine 2015-05-20 11:22:28 EDT

  None (edit)
Description Anurag 2012-03-22 06:37:46 EDT
Description of problem:

On a windows machine, the portal is unable to read the wsrp-consumers-config.xml and wsrp-producers-config.xml from the location ${gatein.conf.dir}

Version-Release number of selected component (if applicable):

JBoss Enterprise Application Platform 5.2
GateIn WSRP 2.1.0


Steps to Reproduce:
1. Place the wsrp-consumers-config.xml in /server/<server_name>/conf/gatein folder
2. Log into EPP and check the wsrp admin page to see if the custom file is shown
Comment 1 claprun 2012-03-29 04:13:01 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The WSRP extension didn't properly compute paths to the configuration files, resulting in the extension not being able to find the configuration files on Windows systems. The path computing algorithm has been changed to resolve this issue.

Note You need to log in before you can comment on or make changes to this bug.